package me.paradoxpixel.themepark.gui;

import org.bukkit.entity.Player;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.inventory.*;
import org.bukkit.inventory.Inventory;

public class GUIListener implements Listener {

    @EventHandler
    public void onClick(InventoryClickEvent e) {
        if(e.getClickedInventory() == null)
            return;

        Inventory inventory = e.getClickedInventory();
        if(!(inventory.getHolder() instanceof GUIHolder))
            return;

        Player player = (Player) e.getWhoClicked();
        int slot = e.getRawSlot();
        ClickType type = e.getClick();

        GUI gui = (GUI) inventory.getHolder();
        e.setCancelled(gui.execute(player, slot, type));
    }

    @EventHandler
    public void onMove(InventoryClickEvent e) {
        if(e.getInventory() == null)
            return;

        Inventory inventory = e.getInventory();
        if(!(inventory.getHolder() instanceof GUIHolder))
            return;

        e.setCancelled(true);
    }

}
